# libdar::exclude_dir_mask Class Reference
[API]

matches if string is the given string or a sub directory of it More...

`#include <mask.hpp>`

Inherits libdar::mask.

List of all members.

## Public Member Functions
| exclude_dir_mask (const std::string &p, bool case_sensit)
| the constructor to be used by libdar external programs
bool | is_covered (const std::string &ch) const
| inherited from the mask class
mask * | clone () const
| inherited from the mask class

## Detailed Description

matches if string is the given string or a sub directory of it

Definition at line 317 of file mask.hpp.

## Constructor & Destructor Documentation

libdar::exclude_dir_mask::exclude_dir_mask | ( | const std::string & | p,
|  | bool | case_sensit |
| ) |  |  | `[inline]`

the constructor to be used by libdar external programs

Parameters:

  `[in]` | p | is the path to compare with
  `[in]` | case_sensit | whether the mask is case sensitive or not

Definition at line 324 of file mask.hpp.

Referenced by clone().

The documentation for this class was generated from the following file:

- mask.hpp